Package com.sun.jna.platform.win32

# Class WinDef.HDC

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.WinNT.HANDLE
com.sun.jna.platform.win32.WinDef.HDC

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  WinDef

public static class WinDef.HDC extends WinNT.HANDLE
Handle to a device context (DC).

## Constructor Summary

Constructors
Constructor
Description
`HDC()`
Instantiates a new hdc.
`HDC(Pointer p)`
Instantiates a new hdc.

## Method Summary

### Methods inherited from class com.sun.jna.platform.win32.WinNT.HANDLE

`fromNative, setPointer, toString`

### Methods inherited from class com.sun.jna.PointerType

`equals, getPointer, hashCode, nativeType, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HDC

public HDC()
Instantiates a new hdc.

### HDC

public HDC(Pointer p)
Instantiates a new hdc.

Parameters:
  `p` - the p